#!/bin/bash
#SBATCH --job-name=Stockholm_colap3m_LNNp64
#SBATCH --output=/data70/hoellinger/WIP3M/Stockholm_colap3m_LNNp64/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/Stockholm_colap3m_LNNp64/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=24:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=32
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
    --run_id Stockholm_colap3m_LNNp64 \
    --L 64 \
    --N 64 \
    --Np 64 \
    --Npm 128 \
    --n_Tiles 16 \
    --z_i 19.0 \
    --z_f 0.0 \
    --plot_fields True \
    --rescale_limiter "fac_p3m_fit" \
    --use_p3m_fit True \
    --mod_val_p3m1 0.03 \
    --mod_val_p3m2 0.07 \
    --mod_val_p3m3 0.15

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id Stockholm_colap3m_LNNp160 \
#     --L 160 \
#     --N 160 \
#     --Np 160 \
#     --Npm 320 \
#     --n_Tiles 48 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.03 \
#     --mod_val_p3m2 0.07 \
#     --mod_val_p3m3 0.15

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id Stockholm_colap3m_L80_N80_Np160 \
#     --L 80 \
#     --N 80 \
#     --Np 160 \
#     --Npm 320 \
#     --n_Tiles 48 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.05 \
#     --mod_val_p3m2 0.07 \
#     --mod_val_p3m3 0.15

# export OMP_NUM_THREADS=65
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id Stockholm_colap3m_LNNp256 \
#     --L 256 \
#     --N 256 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.03 \
#     --mod_val_p3m2 0.07 \
#     --mod_val_p3m3 0.15

# export OMP_NUM_THREADS=65
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id Stockholm_colap3m_L128_N128_Np256 \
#     --L 128 \
#     --N 128 \
#     --Np 256 \
#     --Npm 512 \
#     --n_Tiles 64 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --rescale_limiter "fac_p3m_fit" \
#     --use_p3m_fit True \
#     --mod_val_p3m1 0.03 \
#     --mod_val_p3m2 0.07 \
#     --mod_val_p3m3 0.15