#!/bin/bash
#SBATCH --job-name=cola_zi19_zf0L512_N512_Np512
#SBATCH --output=/data70/hoellinger/WIP3M/cola_zi19_zf0L512_N512_Np512/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/cola_zi19_zf0L512_N512_Np512/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=48:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=64
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_expl_parser.py" \
    --run_id cola_zi19_zf0L512_N512_Np512 \
    --L 512 \
    --N 512 \
    --Np 512 \
    --Npm 1024 \
    --n_Tiles 128 \
    --z_i 19.0 \
    --z_f 0.0 \
    --plot_fields True \
    --scale_limiter "fac_bend" \
    --scaling_pmref 1.2 \
    --scaling_pm1 1.0 \
    --scaling_pm2 0.8 \
    --scaling_spm 1.2 \
    --scaling_p3m1 1.2 \
    --scaling_p3m2 1.0 \
    --scaling_p3m3 0.8

exit 0