#!/bin/bash
#SBATCH --job-name=obz99_zf19_ts0_L256_N1024_Np512
#SBATCH --output=/data70/hoellinger/WIP3M/obz99_zf19_ts0_L256_N1024_Np512/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/obz99_zf19_ts0_L256_N1024_Np512/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=24:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=64
python $WIP3M_ROOT_PATH"src/wip3m/compute_limiters_from_baseline_ts.py" \
    --run_id obz99_zf19_ts0_L256_N1024_Np512\
    --L 256 \
    --N 1024 \
    --Np 512 \
    --Npm 1024 \
    --n_Tiles 128 \
    --z_i 99.0 \
    --z_f 19.0 \
    --nsteps_pmref 50 \
    --nsteps_pm1 10 \
    --nsteps_pm2 5 \
    --nsteps_p3m1 50 \
    --nsteps_p3m2 20 \
    --nsteps_p3m3 10 \
    --nsteps_p3m4 5 \
    --nsteps_p3m5 3 \
    --tsd_pmref 0 \
    --tsd_pm1 0 \
    --tsd_pm2 0 \
    --tsd_p3m1 0 \
    --tsd_p3m2 0 \
    --tsd_p3m3 0 \
    --tsd_p3m4 0 \
    --tsd_p3m5 0

exit 0