#!/bin/bash
#SBATCH --job-name=colazf08_2_08_07_L512_N1024_Np512
#SBATCH --output=/data70/hoellinger/WIP3M/colazf08_2_08_07_L512_N1024_Np512/log.log
#SBATCH --error=/data70/hoellinger/WIP3M/colazf08_2_08_07_L512_N1024_Np512/err.err
#SBATCH --nodes=1                        # Number of nodes (value or min-max)
#SBATCH --ntasks=128                     # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp          # Partition name
#SBATCH --time=24:00:00

##SBATCH --exclusive
##SBATCH --nodelist=i26             # Node name
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

# export OMP_NUM_THREADS=64
# python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
#     --run_id cola_H_L128_N128_Np128 \
#     --L 128 \
#     --N 128 \
#     --Np 128 \
#     --Npm 256 \
#     --n_Tiles 32 \
#     --z_i 19.0 \
#     --z_f 0.0 \
#     --plot_fields True \
#     --scale_limiter "fac_H_custom" \
#     --scaling_p3m1 1.0 \
#     --scaling_p3m2 0.6 \
#     --scaling_p3m3 0.3

export OMP_NUM_THREADS=64
python $WIP3M_ROOT_PATH"src/wip3m/convergence_cola_p3m_only_expl.py" \
    --run_id colazf08_2_08_07_L512_N1024_Np512 \
    --L 512 \
    --N 1024 \
    --Np 512 \
    --Npm 1024 \
    --n_Tiles 128 \
    --z_i 19.0 \
    --z_f 0.8 \
    --plot_fields True \
    --scale_limiter "fac_bend" \
    --scaling_p3m1 2.0 \
    --scaling_p3m2 0.8 \
    --scaling_p3m3 0.7

exit 0