#!/bin/bash
#SBATCH --job-name=ob_tsd1_L512_N1024_Np512
#SBATCH -o /data70/hoellinger/WIP3M/ob_tsd1_L512_N1024_Np512/plots.log
#SBATCH -N 1                        # Number of nodes (value or min-max)
#SBATCH -n 128                      # The number of tasks (i.e. cores) per node
#SBATCH --partition=comp,pscomp     # Partition name
#SBATCH --time=12:00:00

##SBATCH --exclusive
##SBATCH --mem=64G                  # Memory pool for all cores (see also --mem-per-cpu)
##SBATCH --array=0-10               # Size of the array
##SBATCH --constraint=?             # Constraint e.g. specific node type

conda activate p3m

export OMP_NUM_THREADS=64

python $WIP3M_ROOT_PATH"src/wip3m/plots_convergence_baseline_ts_parser.py" \
    --run_id ob_tsd1_L512_N1024_Np512 \
    --outdir_suffix plots \
    --lpt False \
    --cola True

exit 0